Bug 132950 - [x86_64] gimlet crashes when htt_server crashes
[x86_64] gimlet crashes when htt_server crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: FC3Target IIIMF
  Show dependency treegraph
 
Reported: 2004-09-20 06:40 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: Confirmed fixed. Tested with im-sdk-12.1-1. im-sdk-12.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 02:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-20 06:40:26 EDT
Description of problem:
gimlet crashes on my x86_64 when htt_server dies during
activation/input due to Bug #132940 or Bug #132941.  This is
potentially important, since gimlet can be used with a remote
htt_server over a network.

Version-Release number of selected component (if applicable):
iiimf-gnome-im-switcher-12.0.1-7.svn1891
Comment 1 Jens Petersen 2004-09-29 23:56:24 EDT
Is it any better with the new gimlet in -9.svn1936 or later?
Comment 2 Akira TAGOH 2004-09-30 04:41:38 EDT
it still crashes after adding gimlet into the panel.

Backtrace was generated from '/usr/libexec/gnome-im-switcher-applet'

Using host libthread_db library "/lib64/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 182894324160 (LWP 3025)]
0x000000347f30bc66 in waitpid () from /lib64/tls/libpthread.so.0
#0  0x000000347f30bc66 in waitpid () from /lib64/tls/libpthread.so.0
#1  0x0000003494c58c14 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x000000347ea6eff0 in strlen () from /lib64/tls/libc.so.6
#4  0x000000347ea28d55 in __dcigettext () from /lib64/tls/libc.so.6
#5  0x0000000000405a6c in update_tooltips (gimlet=0x5c1c50) at
widgets.c:321
#6  0x0000000000405b24 in drawing_area_expose_cb
(widget=0xffffffff97eb0647, 
    event=0x1, gimlet=0x5c1c50) at widgets.c:337
#7  0x000000349401a8f6 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x000000348150bfaa in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#9  0x000000348152158a in g_signal_has_handler_pending ()
   from /usr/lib64/libgobject-2.0.so.0
#10 0x000000348152299d in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#11 0x0000003481523083 in g_signal_emit () from
/usr/lib64/libgobject-2.0.so.0
#12 0x0000003494105040 in gtk_widget_activate ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x0000003494018ec0 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00000034944334e1 in gdk_window_clear_area_e ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#15 0x0000003494433578 in gdk_window_process_all_updates ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#16 0x0000003493fa3424 in gtk_container_check_resize ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#17 0x0000003480d2657d in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#18 0x0000003480d28257 in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
#19 0x0000003480d285f5 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
#20 0x000000348572d8bb in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#21 0x000000348572bb71 in bonobo_generic_factory_main_timeout ()
   from /usr/lib64/libbonobo-2.so.0
#22 0x00000034950091f8 in panel_applet_factory_main_closure ()
   from /usr/lib64/libpanel-applet-2.so.0
#23 0x000000347ea1befa in __libc_start_main () from /lib64/tls/libc.so.6
#24 0x000000000040518a in _start ()
#25 0x0000007fbffff678 in ?? ()
#26 0x000000000000001c in ?? ()
#27 0x0000000000000003 in ?? ()
#28 0x0000007fbffff8e1 in ?? ()
#29 0x0000007fbffff907 in ?? ()
#30 0x0000007fbffff93a in ?? ()
#31 0x0000000000000000 in ?? ()
#32 0x0000007fbffff94a in ?? ()
#33 0x0000007fbffff95e in ?? ()
#34 0x0000007fbffff97f in ?? ()
#35 0x0000007fbffff989 in ?? ()
#36 0x0000007fbffff999 in ?? ()
#37 0x0000007fbffff9a7 in ?? ()
#38 0x0000007fbffff9bf in ?? ()
#39 0x0000007fbffff9ca in ?? ()
#40 0x0000007fbffff9d5 in ?? ()
#41 0x0000007fbffffa03 in ?? ()
#42 0x0000007fbffffa0f in ?? ()
#43 0x0000007fbffffa1e in ?? ()
#44 0x0000007fbffffa61 in ?? ()
#45 0x0000007fbffffa79 in ?? ()
#46 0x0000007fbffffa94 in ?? ()
#47 0x0000007fbffffab5 in ?? ()
#48 0x0000007fbffffaca in ?? ()
#49 0x0000007fbffffadd in ?? ()
#50 0x0000007fbffffaee in ?? ()
#51 0x0000007fbffffb01 in ?? ()
#52 0x0000007fbffffb29 in ?? ()
#53 0x0000007fbffffb5c in ?? ()
#54 0x0000007fbffffb64 in ?? ()
#55 0x0000007fbffffb7b in ?? ()
#56 0x0000007fbffffb89 in ?? ()
#57 0x0000007fbffffbc5 in ?? ()
#58 0x0000007fbffffbe7 in ?? ()
#59 0x0000007fbffffbf4 in ?? ()
#60 0x0000007fbffffc07 in ?? ()
#61 0x0000007fbffffc1c in ?? ()
#62 0x0000007fbffffc45 in ?? ()
#63 0x0000007fbffffc85 in ?? ()
#64 0x0000007fbffffcc8 in ?? ()
#65 0x0000007fbffffcf8 in ?? ()
#66 0x0000007fbffffd19 in ?? ()
#67 0x0000007fbffffd2c in ?? ()
#68 0x0000000000000000 in ?? ()
#69 0x0000000000000010 in ?? ()
#70 0x00000000078bfbff in ?? ()
#71 0x0000000000000006 in ?? ()
#72 0x0000000000001000 in ?? ()
#73 0x0000000000000011 in ?? ()
#74 0x0000000000000064 in ?? ()
#75 0x0000000000000003 in ?? ()
#76 0x0000000000400040 in ?? ()
#77 0x0000000000000004 in ?? ()
#78 0x0000000000000038 in ?? ()
#79 0x0000000000000005 in ?? ()
#80 0x0000000000000008 in ?? ()
#81 0x0000000000000007 in ?? ()
#82 0x0000000000000000 in ?? ()
#83 0x0000000000000008 in ?? ()
#84 0x0000000000000000 in ?? ()
#85 0x0000000000000009 in ?? ()
#86 0x0000000000405160 in ?? ()
#87 0x000000000000000b in ?? ()
#88 0x000000000000139d in ?? ()
#89 0x000000000000000c in ?? ()
#90 0x000000000000139d in ?? ()
#91 0x000000000000000d in ?? ()
#92 0x000000000000139d in ?? ()
#93 0x000000000000000e in ?? ()
#94 0x000000000000139d in ?? ()
#95 0x0000000000000017 in ?? ()
#96 0x0000000000000000 in ?? ()
#97 0x000000000000000f in ?? ()
#98 0x0000007fbffff8da in ?? ()
#99 0x0000000000000000 in ?? ()
#100 0x0000000000000000 in ?? ()
#101 0x0000000000000000 in ?? ()
#102 0x34365f3638780000 in ?? ()
#103 0x696c2f7273752f00 in ?? ()
#104 0x6e672f6365786562 in ?? ()
#105 0x732d6d692d656d6f in ?? ()
#106 0x2d72656863746977 in ?? ()
#107 0x2d0074656c707061 in ?? ()
#108 0x7463612d66616f2d in ?? ()
#109 0x69692d6574617669 in ?? ()
#110 0x44494946414f3d64 in ?? ()
#111 0x695f454d4f4e473a in ?? ()
#112 0x656863746977736d in ?? ()
#113 0x726f746361465f72 in ?? ()
#114 0x2d66616f2d2d0079 in ?? ()
#115 0x333d64662d726f69 in ?? ()
#116 0x47415f4853530039 in ?? ()
#117 0x3d4449505f544e45 in ?? ()
#118 0x4f48003736393032 in ?? ()
#119 0x783d454d414e5453 in ?? ()
#120 0x6f742e34362d3638 in ?? ()
#121 0x686465722e6f796b in ?? ()
#122 0x54006d6f632e7461 in ?? ()
#123 0x626d75643d4d5245 in ?? ()
#124 0x2f3d4c4c45485300 in ?? ()
#125 0x687361622f6e6962 in ?? ()
#126 0x5a49535453494800 in ?? ()
#127 0x5100303030313d45 in ?? ()
#128 0x73752f3d52494454 in ?? ()
#129 0x2f343662696c2f72 in ?? ()
#130 0x5500332e332d7471 in ?? ()
#131 0x6f6761743d524553 in ?? ()
#132 0x4c4f435f534c0068 in ?? ()
#133 0x485353003d53524f in ?? ()
#134 0x4f535f485455415f in ?? ()
#135 0x2f706d742f3d4b43 in ?? ()
#136 0x644c6c542d687373 in ?? ()
#137 0x612f323038303258 in ?? ()
#138 0x3830322e746e6567 in ?? ()
#139 0x494445444b003230 in ?? ()
#140 0x55007273752f3d52 in ?? ()
#141 0x3d454d414e524553 in ?? ()
#142 0x415000686f676174 in ?? ()
#143 0x2f7273752f3d4854 in ?? ()
#144 0x736f72656272656b in ?? ()
#145 0x73752f3a6e69622f in ?? ()
#146 0x2f6c61636f6c2f72 in ?? ()
#147 0x7273752f3a6e6962 in ?? ()
#148 0x69622f3a6e69622f in ?? ()
#149 0x582f7273752f3a6e in ?? ()
#150 0x6e69622f36523131 in ?? ()
#151 0x504f544b53454400 in ?? ()
#152 0x4e4f49535345535f in ?? ()
#153 0x746c75616665643d in ?? ()
#154 0x762f3d4c49414d00 in ?? ()
#155 0x6c6f6f70732f7261 in ?? ()
#156 0x61742f6c69616d2f in ?? ()
#157 0x3d44575000686f67 in ?? ()
#158 0x6f726f2f74656e2f in ?? ()
#159 0x656d6f682f696863 in ?? ()
#160 0x742f6c657665642f in ?? ()
#161 0x504e4900686f6761 in ?? ()
#162 0x74652f3d43525455 in ?? ()
#163 0x727475706e692f63 in ?? ()
#164 0x4649444f4d580063 in ?? ()
#165 0x6d69403d53524549 in ?? ()
#166 0x4e414c007474683d in ?? ()
#167 0x2e504a5f616a3d47 in ?? ()
#168 0x444700382d465455 in ?? ()
#169 0x4e4f49535345534d in ?? ()
#170 0x746c75616665643d in ?? ()
#171 0x4e43433542524b00 in ?? ()
#172 0x454c49463d454d41 in ?? ()
#173 0x726b2f706d742f3a in ?? ()
#174 0x3230355f63633562 in ?? ()
#175 0x306f4d706b365f31 in ?? ()
#176 0x4b53415f48535300 in ?? ()
#177 0x73752f3d53534150 in ?? ()
#178 0x65786562696c2f72 in ?? ()
#179 0x73736e65706f2f63 in ?? ()
#180 0x2d656d6f6e672f68 in ?? ()
#181 0x706b73612d687373 in ?? ()
#182 0x564c485300737361 in ?? ()
#183 0x454d4f4800313d4c in ?? ()
#184 0x642f656d6f682f3d in ?? ()
#185 0x6761742f6c657665 in ?? ()
#186 0x414e474f4c00686f in ?? ()
#187 0x686f6761743d454d in ?? ()
#188 0x45535f5355424400 in ?? ()
#189 0x55425f4e4f495353 in ?? ()
#190 0x5345524444415f53 in ?? ()
#191 0x613a78696e753d53 in ?? ()
#192 0x3d74636172747362 in ?? ()
#193 0x7562642f706d742f in ?? ()
#194 0x32344b6a65622d73 in ?? ()
#195 0x53454c004b707666 in ?? ()
#196 0x2f7c3d4e45504f53 in ?? ()
#197 0x2f6e69622f727375 in ?? ()
#198 0x657069707373656c in ?? ()
#199 0x440073252068732e in ?? ()
#200 0x3a3d59414c505349 in ?? ()
#201 0x5f4b544700302e30 in ?? ()
#202 0x4c55444f4d5f4d49 in ?? ()
#203 0x47006d6969693d45 in ?? ()
#204 0x5f4e454b4f52425f in ?? ()
#205 0x454d414e454c4946 in ?? ()
#206 0x5455415800313d53 in ?? ()
#207 0x2f3d595449524f48 in ?? ()
#208 0x7665642f656d6f68 in ?? ()
#209 0x686f6761742f6c65 in ?? ()
#210 0x6f68747561582e2f in ?? ()
#211 0x4b54470079746972 in ?? ()
#212 0x454c49465f43525f in ?? ()
#213 0x672f6374652f3d53 in ?? ()
#214 0x63726b74672f6b74 in ?? ()
#215 0x642f656d6f682f3a in ?? ()
#216 0x6761742f6c657665 in ?? ()
#217 0x726b74672e2f686f in ?? ()
#218 0x6e672d322e312d63 in ?? ()
#219 0x5345530032656d6f in ?? ()
#220 0x4e414d5f4e4f4953 in ?? ()
#221 0x636f6c3d52454741 in ?? ()
#222 0x362d3638782f6c61 in ?? ()
#223 0x2e6f796b6f742e34 in ?? ()
#224 0x632e746168646572 in ?? ()
#225 0x2f706d742f3a6d6f in ?? ()
#226 0x696e752d4543492e in ?? ()
#227 0x0032303830322f78 in ?? ()
#228 0x454b5f454d4f4e47 in ?? ()
#229 0x4f535f474e495259 in ?? ()
#230 0x6d742f3d54454b43 in ?? ()
#231 0x6e697279656b2f70 in ?? ()
#232 0x6247743437452d67 in ?? ()
#233 0x0074656b636f732f in ?? ()
#234 0x45445f454d4f4e47 in ?? ()
#235 0x45535f504f544b53 in ?? ()
#236 0x44495f4e4f495353 in ?? ()
#237 0x746c75616665443d in ?? ()
#238 0x3d4c4c415f434c00 in ?? ()
#239 0x54552e504a5f616a in ?? ()
#240 0x4f4e4f4200382d46 in ?? ()
#241 0x56495443415f4f42 in ?? ()
#242 0x444f5f4e4f495441 in ?? ()
#243 0x524f493d524f495f in ?? ()
#244 0x626666306631303a in ?? ()
#245 0x3030303030663166 in ?? ()
#246 0x3363343434393430 in ?? ()
#247 0x3665366636323461 in ?? ()
#248 0x3466326636323666 in ?? ()
#249 0x3635366136323666 in ?? ()
#250 0x3739363434343733 in ?? ()
#251 0x3634373336353632 in ?? ()
#252 0x3361333937323766 in ?? ()
#253 0x3030303033653231 in ?? ()
#254 0x3030303030333030 in ?? ()
#255 0x3432343435303030 in ?? ()
#256 0x3030303030303666 in ?? ()
#257 0x3432303130313030 in ?? ()
#258 0x3030303030353032 in ?? ()
#259 0x3539346534353530 in ?? ()
#260 0x3662363936303038 in ?? ()
#261 0x3030303030383135 in ?? ()
#262 0x3236333833383730 in ?? ()
#263 0x3765323433363364 in ?? ()
#264 0x3639376236663634 in ?? ()
#265 0x3635363237653266 in ?? ()
#266 0x3234373136383634 in ?? ()
#267 0x3064366636333665 in ?? ()
#268 0x3030303030623230 in ?? ()
#269 0x3764363437663230 in ?? ()
#270 0x3632376636663230 in ?? ()
#271 0x3764323437393632 in ?? ()
#272 0x3666363736313634 in ?? ()
#273 0x3639366336663238 in ?? ()
#274 0x3335336432333665 in ?? ()
#275 0x3364323933353332 in ?? ()
#276 0x3330333733643230 in ?? ()
#277 0x3330333336333638 in ?? ()
#278 0x3330333336353637 in ?? ()
#279 0x3030303233343331 in ?? ()
#280 0x3030303030303030 in ?? ()
#281 0x6266646561616330 in ?? ()
#282 0x3030303030383561 in ?? ()
#283 0x3632303130313030 in ?? ()
#284 0x3030303030623266 in ?? ()
#285 0x3764363437663230 in ?? ()
#286 0x3632376636663230 in ?? ()
#287 0x3764323437393632 in ?? ()
#288 0x3666363736313634 in ?? ()
#289 0x3639366336663238 in ?? ()
#290 0x3335336432333665 in ?? ()
#291 0x3364323933353332 in ?? ()
#292 0x3330333733643230 in ?? ()
#293 0x3330333336333638 in ?? ()
#294 0x3330333336353637 in ?? ()
#295 0x3630303233343331 in ?? ()
#296 0x3666323030303035 in ?? ()
#297 0x3030303030633163 in ?? ()
#298 0x3030303030303030 in ?? ()
#299 0x3838663034643130 in ?? ()
#300 0x3238326166313338 in ?? ()
#301 0x3238326233356238 in ?? ()
#302 0x3238323832383238 in ?? ()
#303 0x3030303030353038 in ?? ()
#304 0x3033343165363330 in ?? ()
#305 0x3030303030313037 in ?? ()
#306 0x3030303030383430 in ?? ()
#307 0x3730303033313030 in ?? ()
#308 0x3030303030323032 in ?? ()
#309 0x3030303030353030 in ?? ()
#310 0x3030303030633130 in ?? ()
#311 0x3030303030303030 in ?? ()
#312 0x3838663034643130 in ?? ()
#313 0x3238326166313338 in ?? ()
#314 0x3238326233356238 in ?? ()
#315 0x3238323832383238 in ?? ()
#316 0x3030303030353038 in ?? ()
#317 0x3033343165363330 in ?? ()
#318 0x3030303030313037 in ?? ()
#319 0x3030303030343130 in ?? ()
#320 0x3730376536313030 in ?? ()
#321 0x3031303030313035 in ?? ()
#322 0x3030303030303035 in ?? ()
#323 0x3031303130393030 in ?? ()
#324 0x3030303030303030 in ?? ()
#325 0x6c2f7273752f0030 in ?? ()
#326 0x672f636578656269 in ?? ()
#327 0x2d6d692d656d6f6e in ?? ()
#328 0x7265686374697773 in ?? ()
#329 0x0074656c7070612d in ?? ()
#330 0x0000000000000000 in ?? ()
Comment 3 Jens Petersen 2004-10-04 22:30:13 EDT
Should be fixed in iiimf-gnome-im-switcher-12.0.1-12.svn1943.
Comment 4 Lawrence Lim 2004-10-19 02:47:11 EDT
Confirmed fixed. Tested with im-sdk-12.1-1.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.